[Gpg4win-commits] [git] Gpg4win - branch, master, updated. gpg4win-2.3.1-239-gdca23c1

by Andre Heinecke cvs at cvs.gnupg.org
Wed May 3 10:54:41 CEST 2017


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GnuPG for Windows".

The branch, master has been updated
       via  dca23c11d74e72e3961aa1f01a165d9d5936f385 (commit)
       via  ca833a44d1dd03222725868469348302febc0f4b (commit)
       via  3106faef24293da8e440a8df3e7f0a55160208c6 (commit)
       via  51a026356a166f5ccc8f9453c0422a2879ae04b9 (commit)
       via  abd255a4b824ae71601d616b816918ecec0cfe2c (commit)
      from  6a45157fc863df2a3eb296e7ba3987203d7c71d8 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit dca23c11d74e72e3961aa1f01a165d9d5936f385
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Wed May 3 10:53:25 2017 +0200

    Fix boost build with mingw w32 threads
    
    * src/gpg4win.mk.in: Explicitly disable c++11
    
    --
    Otherwise boost thinks that std::threads are fully supported
    and does not use its own replacements for these functions. While
    mingw5 still does not support c++11 threads in debian.

diff --git a/src/gpg4win.mk.in b/src/gpg4win.mk.in
index a682890..08c29a1 100644
--- a/src/gpg4win.mk.in
+++ b/src/gpg4win.mk.in
@@ -588,6 +588,7 @@ stamps/stamp-$(1)-02-build: stamps/stamp-$(1)-01-patch
         threading=multi \
         variant=release \
         toolset=gcc-mxe \
+        cxxflags=-std=gnu++98 \
         --layout=tagged \
         --disable-icu \
         --without-mpi \

commit ca833a44d1dd03222725868469348302febc0f4b
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Wed May 3 10:52:32 2017 +0200

    Compile g4wihelp with static-libgcc
    
    * src/Makefile.am (g4wihelp.dll): Add --stat-libgcc
    
    --
    With mingw 5 this became neccessary.

diff --git a/src/Makefile.am b/src/Makefile.am
index b64fa9a..9ff5b27 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -627,9 +627,9 @@ license.blurb: $(top_srcdir)/doc/license-page $(top_srcdir)/doc/GPLv3
 	cat $(top_srcdir)/doc/license-page $(top_srcdir)/doc/GPLv3 >$@
 
 g4wihelp.dll: slideshow.cpp desktopshellrun.cpp g4wihelp.c exdll.h
-	$(CC) -I. -O2 -c -o desktopshellrun.o $(srcdir)/desktopshellrun.cpp
-	$(CC) -I. -O2 -c -o slideshow.o $(srcdir)/slideshow.cpp
-	$(CC) -I. -shared -O2 -o g4wihelp.dll $(srcdir)/g4wihelp.c \
+	$(CC) -static-libgcc -I. -O2 -c -o desktopshellrun.o $(srcdir)/desktopshellrun.cpp
+	$(CC) -static-libgcc -I. -O2 -c -o slideshow.o $(srcdir)/slideshow.cpp
+	$(CC) -static-libgcc -I. -shared -O2 -o g4wihelp.dll $(srcdir)/g4wihelp.c \
 	  desktopshellrun.o slideshow.o -lwinmm -lgdi32 -luserenv -lshell32 \
 	  -lole32 -loleaut32 -lshlwapi -lmsimg32
 	$(STRIP) g4wihelp.dll

commit 3106faef24293da8e440a8df3e7f0a55160208c6
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Wed May 3 10:52:05 2017 +0200

    Fix desktopshellrun against mingw 5
    
    * src/desktopshellrun.cpp: Guard against redefinition

diff --git a/src/desktopshellrun.cpp b/src/desktopshellrun.cpp
index dad4d9a..9af54d2 100644
--- a/src/desktopshellrun.cpp
+++ b/src/desktopshellrun.cpp
@@ -24,7 +24,7 @@
 #endif
 
 /* Some declarations missing in mingw-w64 3.1.0 taken from msdn */
-
+#if ! defined (__MINGW64_VERSION_MAJOR) || __MINGW64_VERSION_MAJOR < 5
 __CRT_UUID_DECL(IShellWindows, 0x85CB6900, 0x4D95, 0x11CF,
                 0x96, 0x0C, 0x00, 0x80, 0xC7, 0xF4, 0xEE, 0x85);
 
@@ -40,6 +40,7 @@ __CRT_UUID_DECL(IShellDispatch2, 0xA4C6892C, 0x3BA9, 0x11d2,
                 0x9D, 0xEA, 0x00, 0xC0, 0x4F, 0xB1, 0x61, 0x62);
 __CRT_UUID_DECL(IShellFolderViewDual,  0xe7a1af80, 0x4d96,
                 0x11cf, 0x96, 0x0c, 0x00, 0x80, 0xc7, 0xf4, 0xee, 0x85);
+#endif
 
 #ifndef SWC_DESKTOP /* Will probably be addedd in future mingw */
 #define SWC_DESKTOP 0x00000008

commit 51a026356a166f5ccc8f9453c0422a2879ae04b9
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Wed May 3 10:49:13 2017 +0200

    Update Qt to 5.8
    
    * Makefile.am (EXTRA_DIST): Update Patches
    * packages/packages.current: Update Qt packages
    * patches: Remove / rebase / update qt realted patches.
    * src/Makefile.am: Update Qt configuration.
    * src/Makefile.am: Remove obsolete post install hack.

diff --git a/Makefile.am b/Makefile.am
index 87d3983..224df93 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -29,13 +29,10 @@ EXTRA_DIST = autogen.sh README.GIT ONEWS \
         build-aux/git-log-footer build-aux/git-log-fix \
         patches/glib-2.41.5/01-socket.patch \
         patches/glib-2.41.5/02-formatsec.patch \
-        patches/qtbase/fix-freetype-link.patch \
-        patches/qtbase/fix-oci-detect.patch \
-        patches/qtbase/fix-syssemaphore.patch \
-        patches/qtbase/fix-zlib-link.patch \
         patches/qtbase/relative-paths.patch \
-        patches/qtbase/fix-fontconfig.patch \
+        patches/qtbase/qtbase-mingw-fixes.patch \
         patches/qtbase/config-standardpaths.patch \
+        patches/qtwinextras/support-xp.patch \
         patches/w32pth-2.0.5/workaround-broken-libtool.patch \
         patches/qttools/disable-most-tools.patch \
         patches/ki18n/no-tests.patch \
@@ -46,7 +43,6 @@ EXTRA_DIST = autogen.sh README.GIT ONEWS \
         patches/kconfigwidgets/0001-Make-QDbus-optional.patch \
         patches/kconfigwidgets/0002-Crudely-remove-KF5Auth-depedency.patch \
         patches/kiconthemes/0001-Make-DBus-optional.patch \
-        patches/qtsvg/qtsvg-link-zlib.patch \
         patches/extra-cmake-modules/0001-Add-convert-utility-support-for-Windows-icons.patch \
         patches/kleopatra/0005-Hack-generated-conf-files-for-Crosscompiling.patch \
         patches/kleopatra/lower-kf5-required.patch \
diff --git a/packages/packages.current b/packages/packages.current
index f38f26b..11e5a83 100644
--- a/packages/packages.current
+++ b/packages/packages.current
@@ -345,37 +345,37 @@ chk 686affff989ac2488f79a97b9479efb9f2abae035b5ed4d8226de6857933fd3b
 # Qt base
 # last changed: 2016-07-22
 # by: ah
-# verified: HTTPS https://download.qt.io/official_releases/qt/5.6/5.6.1/submodules/qtbase-opensource-src-5.6.1.tar.xz.sha256
+# verified: HTTPS https://download.qt.io/official_releases/qt/5.8/5.8.0/submodules/qtbase-opensource-src-5.8.0.tar.xz.sha256
 
 server http://download.qt.io/official_releases/qt/
 
-name qtbase-5.6.1.tar.xz
-file 5.6/5.6.1/submodules/qtbase-opensource-src-5.6.1.tar.xz
-chk d01cc1ee2be9ecdb169be3aea9dc9fc019c1c6d0bb87e0c88bb95b5b3dce7264
+name qtbase-5.8.0.tar.xz
+file 5.8/5.8.0/submodules/qtbase-opensource-src-5.8.0.tar.xz
+chk c17111ae02a44dc7be1ec2cf979a47ee9e58edf4904041a525c21f4fa53fc005
 
 # Qt Tools
 # last changed: 2016-07-22
 # by: ah
-# verified: HTTPS https://download.qt.io/official_releases/qt/5.6/5.6.1/submodules/qttools-opensource-src-5.6.1.tar.xz.sha256
-name qttools-5.6.1.tar.xz
-file 5.6/5.6.1/submodules/qttools-opensource-src-5.6.1.tar.xz
-chk 77a38895ee2d3fe2d0df4a5e1bbef4d3f8870fe20cd3b2cea27bd2d380c17f71
+# verified: HTTPS https://download.qt.io/official_releases/qt/5.8/5.8.0/submodules/qttools-opensource-src-5.8.0.tar.xz.sha256
+name qttools-5.8.0.tar.xz
+file 5.8/5.8.0/submodules/qttools-opensource-src-5.8.0.tar.xz
+chk 95ec8e76d393b6ba26ffff5041fce41946d2bf3aec1402c6533e24d9fc269d83
 
 # Qt Winextras
 # last changed: 2016-07-22
 # by: ah
-# verified: HTTPS https://download.qt.io/official_releases/qt/5.6/5.6.1/submodules/qtwinextras-opensource-src-5.6.1.tar.xz.sha256
-name qtwinextras-5.6.1.tar.xz
-file 5.6/5.6.1/submodules/qtwinextras-opensource-src-5.6.1.tar.xz
-chk a86a3d7131ce3534689af9889c0f8d09b3f0f97234256829fac0292433a363b5
+# verified: HTTPS https://download.qt.io/official_releases/qt/5.8/5.8.0/submodules/qtwinextras-opensource-src-5.8.0.tar.xz.sha256
+name qtwinextras-5.8.0.tar.xz
+file 5.8/5.8.0/submodules/qtwinextras-opensource-src-5.8.0.tar.xz
+chk 27ff7b94bd465709d5f8409b3e02a3a393e908613357b1edbf18ebbcb0c2c19c
 
 # Qt svg
 # last changed: 2016-07-22
 # by: ah
-# verified: HTTPS https://download.qt.io/official_releases/qt/5.6/5.6.1/submodules/qtsvg-opensource-src-5.6.1.tar.xz.sha256
-name qtsvg-5.6.1.tar.xz
-file 5.6/5.6.1/submodules/qtsvg-opensource-src-5.6.1.tar.xz
-chk f12e4fd4f169123f7648e45c593b2c5a4556a9b2db3a798467aa9c67c82b8a21
+# verified: HTTPS https://download.qt.io/official_releases/qt/5.8/5.8.0/submodules/qtsvg-opensource-src-5.8.0.tar.xz.sha256
+name qtsvg-5.8.0.tar.xz
+file 5.8/5.8.0/submodules/qtsvg-opensource-src-5.8.0.tar.xz
+chk 9873191c211ab4da9c0bc47b1e3549f475db4d448bba3175e0f86b24eefadc89
 
 
 # KDE Frameworks generated by gen-frameworks.sh
diff --git a/patches/qtbase/config-standardpaths.patch b/patches/qtbase/config-standardpaths.patch
index 9b30907..9987aa7 100755
--- a/patches/qtbase/config-standardpaths.patch
+++ b/patches/qtbase/config-standardpaths.patch
@@ -236,20 +236,6 @@ diff -Nru qtbase-5.6.1.orig/src/corelib/io/qstandardpaths.h qtbase-5.6.1/src/cor
      // prevent construction
      QStandardPaths();
      ~QStandardPaths();
-diff -Nru qtbase-5.6.1.orig/src/corelib/io/qstandardpaths_mac.mm qtbase-5.6.1/src/corelib/io/qstandardpaths_mac.mm
---- qtbase-5.6.1.orig/src/corelib/io/qstandardpaths_mac.mm      2016-07-22 15:11:23.307466618 +0200
-+++ qtbase-5.6.1/src/corelib/io/qstandardpaths_mac.mm   2016-07-22 15:11:49.940044214 +0200
-@@ -138,6 +138,10 @@
-
- QString QStandardPaths::writableLocation(StandardLocation type)
- {
-+    const QString result = QStandardPaths::presetLocation(type);
-+    if(!result.isEmpty())
-+        return result;
-+
-     if (isTestModeEnabled()) {
-         const QString qttestDir = QDir::homePath() + QLatin1String("/.qttest");
-         QString path;
 diff -Nru qtbase-5.6.1.orig/src/corelib/io/qstandardpaths_win.cpp qtbase-5.6.1/src/corelib/io/qstandardpaths_win.cpp
 --- qtbase-5.6.1.orig/src/corelib/io/qstandardpaths_win.cpp     2016-07-22 15:11:23.307466618 +0200
 +++ qtbase-5.6.1/src/corelib/io/qstandardpaths_win.cpp  2016-07-22 15:13:41.682467339 +0200
diff --git a/patches/qtbase/fix-fontconfig.patch b/patches/qtbase/fix-fontconfig.patch
deleted file mode 100755
index a898b75..0000000
--- a/patches/qtbase/fix-fontconfig.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-#! /bin/sh
-patch -p1 -f $* < $0
-exit $?
-
-From f504f5805be3cc27e19632e15b29eaaaac0e92e8 Mon Sep 17 00:00:00 2001
-From: Boris Pek <tehnick-8 at yandex.ru>
-Date: Sun, 19 Jun 2016 03:15:43 +0300
-Subject: [PATCH 8/8] Fix build of the minimal platform plugin for MS Windows
-
-when qtbase is configured with -fontconfig and -system-freetype.
-
-This fix is necessary after 060e0f6628fd185994911307c59f5355acaaf18f.
-Used the same approach as in 16864c42d6bc0ee6b3e3fa03123ef5884557ceea.
-
-Change-Id: Idece0dc11d89e38266c95de1769be751c06324ef
-(cherry picked from commit 02d2969fafe5088bb1c80eb58b2736df447326cd)
-
-diff --git a/src/plugins/platforms/minimal/minimal.pro b/src/plugins/platforms/minimal/minimal.pro
-index bd6f2d8..4b63461 100644
---- a/src/plugins/platforms/minimal/minimal.pro.orig      2016-07-22 15:53:11.365351113 +0200
-+++ b/src/plugins/platforms/minimal/minimal.pro   2016-07-22 15:55:21.772137814 +0200
-@@ -11,6 +11,7 @@
- OTHER_FILES += minimal.json
-
- CONFIG += qpa/genericunixfontdatabase
-+win32: DEFINES += QT_NO_FONTCONFIG
-
- PLUGIN_TYPE = platforms
- PLUGIN_CLASS_NAME = QMinimalIntegrationPlugin
diff --git a/patches/qtbase/fix-freetype-link.patch b/patches/qtbase/fix-freetype-link.patch
deleted file mode 100755
index 28b48e8..0000000
--- a/patches/qtbase/fix-freetype-link.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-#! /bin/sh
-patch -p1 -f $* < $0
-exit $?
-
-From b4a1284aa84466a5c757e1efd16a694d128b1038 Mon Sep 17 00:00:00 2001
-From: Mark Brand <mabrand at mabrand.nl>
-Date: Thu, 6 Aug 2015 23:35:08 +0200
-Subject: [PATCH 1/6] fix qwindows plugin linking with system-freetype (MXE
- specific)
-
-Change-Id: I8783e3ab2d19011b083dd3c471107298a17293c4
-
-diff --git a/src/3rdparty/freetype_dependency.pri b/src/3rdparty/freetype_dependency.pri
-index 39280de..e152b0d 100644
---- a/src/3rdparty/freetype_dependency.pri
-+++ b/src/3rdparty/freetype_dependency.pri
-@@ -4,4 +4,5 @@ contains(QT_CONFIG, freetype) {
- } else:contains(QT_CONFIG, system-freetype) {
-     # pull in the proper freetype2 include directory
-     include($$QT_SOURCE_TREE/config.tests/unix/freetype/freetype.pri)
-+    win32:shared:LIBS_PRIVATE += -lfreetype
- }
---
-2.1.4
diff --git a/patches/qtbase/fix-oci-detect.patch b/patches/qtbase/fix-oci-detect.patch
deleted file mode 100755
index d3ed583..0000000
--- a/patches/qtbase/fix-oci-detect.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-#! /bin/sh
-patch -p1 -f $* < $0
-exit $?
-
-From 81c61f1cf8a2b8ea01545212081427eed0ab2950 Mon Sep 17 00:00:00 2001
-From: Mark Brand <mabrand at mabrand.nl>
-Date: Mon, 8 Dec 2014 14:15:12 +0100
-Subject: [PATCH 3/6] fix oci config test on windows
-
-Change-Id: If1ce2241682259ca495b0ba68bf18410f8548922
-
-diff --git a/config.tests/unix/oci/oci.pro b/config.tests/unix/oci/oci.pro
-index 3ffda1d..39b6f3759 100644
---- a/config.tests/unix/oci/oci.pro
-+++ b/config.tests/unix/oci/oci.pro
-@@ -1,3 +1,3 @@
- SOURCES = oci.cpp
- CONFIG -= qt dylib
--LIBS += -lclntsh
-+!win32:LIBS += -lclntsh
---
-2.1.4
diff --git a/patches/qtbase/fix-syssemaphore.patch b/patches/qtbase/fix-syssemaphore.patch
deleted file mode 100755
index 0ad3fb7..0000000
--- a/patches/qtbase/fix-syssemaphore.patch
+++ /dev/null
@@ -1,26 +0,0 @@
-#! /bin/sh
-patch -p1 -f $* < $0
-exit $?
-
-From b656a46abeecfa7ace2e08393b63412e74c62589 Mon Sep 17 00:00:00 2001
-From: Mark Brand <mabrand at mabrand.nl>
-Date: Thu, 6 Aug 2015 13:24:56 +0200
-Subject: [PATCH 4/6] configure: don't set QT_NO_SYSTEMSEMAPHORE for Windows
-
-Change-Id: I53c110ef40e3d14cc49fa23aa5d294611cac2ffa
-
-diff --git a/configure b/configure
-index cea62fb..d6bbcd2 100755
---- a/configure
-+++ b/configure
-@@ -4464,7 +4464,7 @@ fi
- [ "$XPLATFORM_ANDROID" = "yes" ] && QMakeVar add styles "android"
-
- # check IPC support
--if ! compileTest unix/ipc_sysv "ipc_sysv" ; then
-+if [ "$XPLATFORM_MINGW" = "no" ] && ! compileTest unix/ipc_sysv "ipc_sysv" ; then
-     # SYSV IPC is not supported - check POSIX IPC
-     if compileTest unix/ipc_posix "ipc_posix" ; then
-         QCONFIG_FLAGS="$QCONFIG_FLAGS QT_POSIX_IPC"
---
-2.1.4
diff --git a/patches/qtbase/fix-zlib-link.patch b/patches/qtbase/fix-zlib-link.patch
deleted file mode 100755
index 58ce03e..0000000
--- a/patches/qtbase/fix-zlib-link.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-#! /bin/sh
-patch -p0 -f $* < $0
-exit $?
-
---- mkspecs/win32-g++/qmake.conf.orig   2016-01-05 17:15:29.915892960 +0100
-+++ mkspecs/win32-g++/qmake.conf        2016-01-05 17:17:07.041560381 +0100
-@@ -85,8 +85,8 @@
-
- QMAKE_LIBS              =
- QMAKE_LIBS_CORE         = -lole32 -luuid -lws2_32 -ladvapi32 -lshell32 -luser32 -lkernel32
--QMAKE_LIBS_GUI          = -lgdi32 -lcomdlg32 -loleaut32 -limm32 -lwinmm -lws2_32 -lole32 -luuid -luser32 -ladvapi32
--QMAKE_LIBS_NETWORK      = -lws2_32
-+QMAKE_LIBS_GUI          = -lgdi32 -lcomdlg32 -loleaut32 -limm32 -lwinmm -lws2_32 -lole32 -luuid -luser32 -ladvapi32 -lz
-+QMAKE_LIBS_NETWORK      = -lws2_32 -lz
- QMAKE_LIBS_OPENGL       = -lglu32 -lopengl32 -lgdi32 -luser32
- QMAKE_LIBS_OPENGL_ES2   = -llibEGL -llibGLESv2 -lgdi32 -luser32
- QMAKE_LIBS_OPENGL_ES2_DEBUG = -llibEGLd -llibGLESv2d -lgdi32 -luser32
diff --git a/patches/qtbase/qtbase-mingw-fixes.patch b/patches/qtbase/qtbase-mingw-fixes.patch
new file mode 100755
index 0000000..2c1d615
--- /dev/null
+++ b/patches/qtbase/qtbase-mingw-fixes.patch
@@ -0,0 +1,197 @@
+#! /bin/sh
+patch -p1 -f -l $* < $0
+exit $?
+
+Taken from MXE
+
+From 12eed60ff166200c12d203d0daaa6c58c41df0ea Mon Sep 17 00:00:00 2001
+From: Ray Donnelly <mingw.android at gmail.com>
+Date: Wed, 26 Aug 2015 12:45:43 +0100
+Subject: [PATCH 1/5] cmake: Rearrange STATIC vs INTERFACE targets
+
+Otherwise we attempt to add_library(Qt5::UiPlugin STATIC IMPORTED)
+for header-only modules when building Qt5 statically.
+
+Source: https://git.io/vzWJz
+See also: https://github.com/mxe/mxe/issues/1185
+
+diff --git a/mkspecs/features/data/cmake/Qt5BasicConfig.cmake.in b/mkspecs/features/data/cmake/Qt5BasicConfig.cmake.in
+index d2358ca..6b1dc95 100644
+--- a/mkspecs/features/data/cmake/Qt5BasicConfig.cmake.in
++++ b/mkspecs/features/data/cmake/Qt5BasicConfig.cmake.in
+@@ -222,13 +222,13 @@ if (NOT TARGET Qt5::$${CMAKE_MODULE_NAME})
+     endif()
+ !!ENDIF
+
++!!IF equals(TEMPLATE, aux)
++    add_library(Qt5::$${CMAKE_MODULE_NAME} INTERFACE IMPORTED)
++!!ELSE
+ !!IF !isEmpty(CMAKE_STATIC_TYPE)
+     add_library(Qt5::$${CMAKE_MODULE_NAME} STATIC IMPORTED)
+     set_property(TARGET Qt5::$${CMAKE_MODULE_NAME} PROPERTY IMPORTED_LINK_INTERFACE_LANGUAGES "CXX")
+ !!ELSE
+-!!IF equals(TEMPLATE, aux)
+-    add_library(Qt5::$${CMAKE_MODULE_NAME} INTERFACE IMPORTED)
+-!!ELSE
+     add_library(Qt5::$${CMAKE_MODULE_NAME} SHARED IMPORTED)
+ !!ENDIF
+ !!ENDIF
+--
+2.9.3
+
+
+From 9d8bca4d8c1d312cca4b161c93a091147dd7aa37 Mon Sep 17 00:00:00 2001
+From: Tony Theodore <tonyt at logyst.com>
+Date: Sat, 16 Jul 2016 20:31:07 +1000
+Subject: [PATCH 2/5] Fix pkgconfig file and library naming
+
+See: https://codereview.qt-project.org/#/c/165394/
+     https://bugreports.qt.io/browse/QTBUG-30898
+
+Currently, *.pc files are generated with debug suffix `d` in `-release`
+mode and without the suffix in `-debug` or `-debug-and-release`. This
+can be worked around by `CONIFG-=debug_and_release`, however, a more
+predictable and consistent naming approach would be preferable.
+
+This change mimics the *.prl file and lib conventions:
+
+  -release: creates normal *.pc files and lib names
+  -release -force-debug-info: normal as above
+  -debug: creates *d.pc and *d lib names
+  -debug-and-release: creates both
+  -default: creates both (default link: debug)
+
+and should be unsurprising to users of `pkg-config`. At very least,
+it's deterministic and easily incorporated into build systems.
+
+Task-number: 30898
+Change-Id: If75336ec7d21a7ec0cb6d245fe87c64afcb5a644
+
+diff --git a/mkspecs/features/qt_module.prf b/mkspecs/features/qt_module.prf
+index 31d6285..8e24520 100644
+--- a/mkspecs/features/qt_module.prf
++++ b/mkspecs/features/qt_module.prf
+@@ -248,6 +248,10 @@ load(qt_installs)
+
+ load(qt_targets)
+
++# Set TARGET towards the end but before pkgconfig setup to keep naming
++# conventions consistent with *prl files
++TARGET = $$qt5LibraryTarget($$TARGET$$QT_LIBINFIX)
++
+ # this builds on top of qt_common
+ !internal_module:!lib_bundle:if(unix|mingw) {
+     CONFIG += create_pc
+@@ -258,12 +262,12 @@ load(qt_targets)
+         QMAKE_PKGCONFIG_LIBDIR = $$[QT_INSTALL_LIBS/raw]
+     QMAKE_PKGCONFIG_INCDIR = $$[QT_INSTALL_HEADERS/raw]
+     QMAKE_PKGCONFIG_CFLAGS = -I${includedir}/$$MODULE_INCNAME
+-    QMAKE_PKGCONFIG_NAME = $$replace(TARGET, ^Qt, "Qt$$QT_MAJOR_VERSION ")
+-    QMAKE_PKGCONFIG_FILE = $$replace(TARGET, ^Qt, Qt$$QT_MAJOR_VERSION)
++    QMAKE_PKGCONFIG_NAME = $$replace(TARGET, ^Qt$$QT_MAJOR_VERSION, "Qt$$QT_MAJOR_VERSION ")
++    QMAKE_PKGCONFIG_FILE = $$TARGET
+     for(i, MODULE_DEPENDS): \
+-        QMAKE_PKGCONFIG_REQUIRES += $$replace(QT.$${i}.name, ^Qt, Qt$$eval(QT.$${i}.MAJOR_VERSION))
++        QMAKE_PKGCONFIG_REQUIRES += $$replace(QT.$${i}.name, ^Qt, Qt$$eval(QT.$${i}.MAJOR_VERSION))$$qtPlatformTargetSuffix()
+     isEmpty(QMAKE_PKGCONFIG_DESCRIPTION): \
+-        QMAKE_PKGCONFIG_DESCRIPTION = $$replace(TARGET, ^Qt, "Qt ") module
++        QMAKE_PKGCONFIG_DESCRIPTION = $$replace(TARGET, ^Qt$$QT_MAJOR_VERSION, "Qt ") module
+     pclib_replace.match = $$lib_replace.match
+     !isEmpty(lib_replace.replace): \
+         pclib_replace.replace = $$QMAKE_PKGCONFIG_LIBDIR
+@@ -297,5 +301,3 @@ win32 {
+     # On other platforms, Qt's own compilation goes needs to compile the Qt 5.0 API
+     DEFINES *= QT_DISABLE_DEPRECATED_BEFORE=0x050000
+ }
+-
+-TARGET = $$qt5LibraryTarget($$TARGET$$QT_LIBINFIX)  # Do this towards the end
+--
+2.9.3
+
+
+From e4da2904bcab29d15ad137508390bec0595c0e72 Mon Sep 17 00:00:00 2001
+From: Mark Brand <mabrand at mabrand.nl>
+Date: Sun, 29 Jan 2017 13:02:16 +0100
+Subject: [PATCH 3/5] reenable fontconfig for win32 (MXE-specific)
+
+Change-Id: I05b036366bd402e43309742412bcf8ca91fe125f
+
+diff --git a/src/gui/configure.json b/src/gui/configure.json
+index 1f50116..dd94429 100644
+--- a/src/gui/configure.json
++++ b/src/gui/configure.json
+@@ -471,7 +471,7 @@
+         },
+         "fontconfig": {
+             "label": "Fontconfig",
+-            "condition": "!config.win32 && !config.darwin && features.system-freetype && libs.fontconfig",
++            "condition": "!config.darwin && features.system-freetype && libs.fontconfig",
+             "output": [ "privateFeature", "feature" ]
+         },
+         "gbm": {
+diff --git a/src/plugins/platforms/minimal/qminimalintegration.cpp b/src/plugins/platforms/minimal/qminimalintegration.cpp
+index 03c7250..7d0ffbd 100644
+--- a/src/plugins/platforms/minimal/qminimalintegration.cpp
++++ b/src/plugins/platforms/minimal/qminimalintegration.cpp
+@@ -120,7 +120,11 @@ QPlatformFontDatabase *QMinimalIntegration::fontDatabase() const
+     if (m_options & EnableFonts) {
+ #if QT_CONFIG(fontconfig)
+         if (!m_fontDatabase)
++#ifdef Q_OS_WIN
++            m_fontDatabase = new QBasicFontDatabase;
++#else
+             m_fontDatabase = new QGenericUnixFontDatabase;
++#endif
+ #else
+         return QPlatformIntegration::fontDatabase();
+ #endif
+--
+2.9.3
+
+
+From db3c6f5fecb9b93f3553273576954d363d0630bc Mon Sep 17 00:00:00 2001
+From: Mark Brand <mabrand at mabrand.nl>
+Date: Sun, 29 Jan 2017 14:00:06 +0100
+Subject: [PATCH 4/5] fix included file name case
+
+Change-Id: I026787441aa43128aec001cfe1a7bc8d37799826
+
+diff --git a/src/plugins/platforms/windows/qwin10helpers.cpp b/src/plugins/platforms/windows/qwin10helpers.cpp
+index 977bbfd..12cccd1 100644
+--- a/src/plugins/platforms/windows/qwin10helpers.cpp
++++ b/src/plugins/platforms/windows/qwin10helpers.cpp
+@@ -57,7 +57,7 @@
+ #endif
+
+ #ifdef HAS_UI_VIEW_SETTINGS_INTEROP
+-#  include <UIViewSettingsInterop.h>
++#  include <uiviewsettingsinterop.h>
+ #endif
+
+ #ifndef HAS_UI_VIEW_SETTINGS_INTEROP
+--
+2.9.3
+
+
+From ddf845adb0080016c2f69fcfa7e23edf70e5151a Mon Sep 17 00:00:00 2001
+From: Mark Brand <mabrand at mabrand.nl>
+Date: Sun, 29 Jan 2017 16:22:03 +0100
+Subject: [PATCH 5/5] fix treatment of SYBASE_LIBS
+
+Change-Id: I4c9914cf7ef9d91feb0718a57f2551c1eeed47e0
+
+diff --git a/src/sql/configure.pri b/src/sql/configure.pri
+index 1d8847b..229b6a1 100644
+--- a/src/sql/configure.pri
++++ b/src/sql/configure.pri
+@@ -76,7 +76,7 @@ defineTest(qtConfLibrary_sybaseEnv) {
+         libs += "-L$${sybase}/lib"
+     libs += $$getenv(SYBASE_LIBS)
+     !isEmpty(libs) {
+-        $${1}.libs = "$$val_escape(libs)"
++        $${1}.libs = $$libs
+         export($${1}.libs)
+     }
+     return(true)
+--
+2.9.3
diff --git a/patches/qtbase/relative-paths.patch b/patches/qtbase/relative-paths.patch
index 08e2ac2..9e38573 100755
--- a/patches/qtbase/relative-paths.patch
+++ b/patches/qtbase/relative-paths.patch
@@ -5,13 +5,11 @@ exit $?
 Patch kindly provided by KDE Windows emerge. To
 look for files relative to the install location.
 
-diff --git a/src/corelib/io/qstandardpaths_win.cpp b/src/corelib/io/qstandardpaths_win.cpp
-index 5e56db3..4d46430 100644
---- a/src/corelib/io/qstandardpaths_win.cpp
-+++ b/src/corelib/io/qstandardpaths_win.cpp
-@@ -275,6 +275,16 @@
+--- a/src/corelib/io/qstandardpaths_win.cpp.orig  2017-05-02 12:09:46.110581259 +0200
++++ b/src/corelib/io/qstandardpaths_win.cpp       2017-05-02 12:11:15.540277570 +0200
+@@ -223,6 +223,16 @@
          dirs.append(QCoreApplication::applicationDirPath() + QLatin1String("/data"));
- #  endif // !QT_BOOTSTRAPPED
+ #endif // !QT_BOOTSTRAPPED
      } // isConfigLocation()
 +    dirs.append(QCoreApplication::applicationDirPath() + QLatin1String("/../share"));
 +    if (type != GenericDataLocation && type != GenericConfigLocation) {
@@ -23,9 +21,9 @@ index 5e56db3..4d46430 100644
 +        dirs.append(appData);
 +    }
 +    dirs.append(QCoreApplication::applicationDirPath() + QLatin1String("/../etc/xdg"));
- #endif // !Q_OS_WINCE
 
      return dirs;
+ }
 diff --git a/src/gui/image/qiconloader.cpp b/src/gui/image/qiconloader.cpp
 index 06491f1..ef9436f 100644
 --- a/src/gui/image/qiconloader.cpp
@@ -51,10 +49,10 @@ index 66735d8..5731560 100644
      if (QSysInfo::WindowsVersion >= QSysInfo::WV_VISTA)
          result.append(QStringLiteral("WindowsVista"));
      if (QSysInfo::WindowsVersion >= QSysInfo::WV_XP)
-@@ -401,6 +403,10 @@
-         return QVariant(true);
-     case WheelScrollLines:
-         return QVariant(int(dWordSystemParametersInfo(SPI_GETWHEELSCROLLLINES, 3)));
+@@ -398,6 +400,10 @@
+             result = int(scrollLines);
+         return QVariant(result);
+     }
 +    case QPlatformTheme::SystemIconThemeName:
 +         return QVariant(QLatin1String("breeze"));
 +    case QPlatformTheme::SystemIconFallbackThemeName:
diff --git a/patches/qtsvg/qtsvg-link-zlib.patch b/patches/qtsvg/qtsvg-link-zlib.patch
deleted file mode 100755
index 11d790a..0000000
--- a/patches/qtsvg/qtsvg-link-zlib.patch
+++ /dev/null
@@ -1,23 +0,0 @@
-#! /bin/sh
-patch -p1 -f -l $* < $0
-exit $?
-
---- qtsvg-5.6.1/src/svg/svg.pro.orig    2016-07-22 16:02:19.433065335 +0200
-+++ qtsvg-5.6.1/src/svg/svg.pro 2016-07-22 16:10:06.255064441 +0200
-@@ -43,14 +43,6 @@
-         qsvgfunctions_wince_p.h
- }
-
--contains(QT_CONFIG, system-zlib) {
--    if(unix|mingw):          LIBS_PRIVATE += -lz
--    else {
--        isEmpty(ZLIB_LIBS): LIBS += zdll.lib
--        else: LIBS += $$ZLIB_LIBS
--    }
--} else {
--    QT_PRIVATE += zlib-private
--}
--
-+if(unix|mingw):          LIBS_PRIVATE += -lz
-+else:                    LIBS += zdll.lib
- load(qt_module)
diff --git a/patches/qtwinextras/support-xp.patch b/patches/qtwinextras/support-xp.patch
new file mode 100755
index 0000000..0123418
--- /dev/null
+++ b/patches/qtwinextras/support-xp.patch
@@ -0,0 +1,24 @@
+#! /bin/sh
+patch -p0 -f -l $* < $0
+exit $?
+
+Avoid using a function in unused code that is not supported on
+Windows XP
+
+--- src/winextras/qwinjumplist.cpp.orig	2017-05-02 13:47:15.014596531 +0200
++++ src/winextras/qwinjumplist.cpp	2017-05-02 13:48:11.955700458 +0200
+@@ -397,12 +397,9 @@
+     return link;
+ }
+
+-IShellItem2 *QWinJumpListPrivate::toIShellItem(const QWinJumpListItem *item)
++IShellItem2 *QWinJumpListPrivate::toIShellItem(const QWinJumpListItem *)
+ {
+-    IShellItem2 *shellitem = 0;
+-    QScopedArrayPointer<wchar_t> buffer(qt_qstringToNullTerminated(item->filePath()));
+-    SHCreateItemFromParsingName(buffer.data(), 0, qIID_IShellItem2, reinterpret_cast<void **>(&shellitem));
+-    return shellitem;
++    return 0;
+ }
+
+ IShellLinkW *QWinJumpListPrivate::makeSeparatorShellItem()
diff --git a/src/Makefile.am b/src/Makefile.am
index a8b6e6f..b64fa9a 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -282,7 +282,6 @@ gpg4win_pkg_qtbase_configure = ../$$$${pkg_version}/configure -opensource \
             -xplatform win32-g++ \
             -device-option CROSS_COMPILE=$(host)- \
             -device-option PKG_CONFIG='$(host)-pkg-config' \
-            -force-pkg-config \
             -no-use-gold-linker \
             -release \
             -shared \
@@ -303,11 +302,11 @@ gpg4win_pkg_qtbase_configure = ../$$$${pkg_version}/configure -opensource \
             -qt-zlib \
             -system-libpng \
             -qt-libjpeg \
-            -fontconfig \
-            -system-freetype \
+            -qt-freetype \
             -qt-pcre \
             -no-openssl \
-            -no-dbus
+            -no-dbus \
+            -v
 
 # qtbase
 # invoke qmake with removed debug options as a workaround for
@@ -318,9 +317,7 @@ gpg4win_pkg_qtbase_make_args = \
 # Qmake still writes debug names in pkgconfig files.
 define gpg4win_pkg_qtbase_post_install
 	(cd $$$${pkgbdir}; \
-	 make install); \
-	(cd $$$${pkgidir}; \
-	sed -i 's/-lQt5\(\w*\)d/-lQt5\1/g' `find . -name \*.pc`)
+	 make install)
 endef
 
 

commit abd255a4b824ae71601d616b816918ecec0cfe2c
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Tue May 2 15:25:01 2017 +0200

    Fix a -werror format-security in glib
    
    * Makefile.am (EXTRA_DIST): Update accordingly.
    * patches/glib-2.41.5/02-formatsec.patch: New.

diff --git a/Makefile.am b/Makefile.am
index 6f6c60f..87d3983 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -28,6 +28,7 @@ EXTRA_DIST = autogen.sh README.GIT ONEWS \
         doc/license-page doc/GPLv3 \
         build-aux/git-log-footer build-aux/git-log-fix \
         patches/glib-2.41.5/01-socket.patch \
+        patches/glib-2.41.5/02-formatsec.patch \
         patches/qtbase/fix-freetype-link.patch \
         patches/qtbase/fix-oci-detect.patch \
         patches/qtbase/fix-syssemaphore.patch \
diff --git a/patches/glib-2.41.5/02-formatsec.patch b/patches/glib-2.41.5/02-formatsec.patch
new file mode 100755
index 0000000..7752cfd
--- /dev/null
+++ b/patches/glib-2.41.5/02-formatsec.patch
@@ -0,0 +1,13 @@
+#! /bin/sh
+patch -p0 -l -f $* < $0
+exit $?
+
+--- gio/gregistrysettingsbackend.c.orig 2017-05-02 12:29:41.949315510 +0200
++++ gio/gregistrysettingsbackend.c      2017-05-02 12:30:04.273740051 +0200
+@@ -228,7 +228,7 @@
+   if (result_code == ERROR_KEY_DELETED)
+     trace ("(%s)", win32_message);
+   else
+-    g_message (win32_message);
++    g_message ("%s", win32_message);
+ };

-----------------------------------------------------------------------

Summary of changes:
 Makefile.am                               |   9 +-
 packages/packages.current                 |  32 ++---
 patches/glib-2.41.5/02-formatsec.patch    |  13 ++
 patches/qtbase/config-standardpaths.patch |  14 ---
 patches/qtbase/fix-fontconfig.patch       |  29 -----
 patches/qtbase/fix-freetype-link.patch    |  24 ----
 patches/qtbase/fix-oci-detect.patch       |  22 ----
 patches/qtbase/fix-syssemaphore.patch     |  26 ----
 patches/qtbase/fix-zlib-link.patch        |  17 ---
 patches/qtbase/qtbase-mingw-fixes.patch   | 197 ++++++++++++++++++++++++++++++
 patches/qtbase/relative-paths.patch       |  20 ++-
 patches/qtsvg/qtsvg-link-zlib.patch       |  23 ----
 patches/qtwinextras/support-xp.patch      |  24 ++++
 src/Makefile.am                           |  17 ++-
 src/desktopshellrun.cpp                   |   3 +-
 src/gpg4win.mk.in                         |   1 +
 16 files changed, 272 insertions(+), 199 deletions(-)
 create mode 100755 patches/glib-2.41.5/02-formatsec.patch
 delete mode 100755 patches/qtbase/fix-fontconfig.patch
 delete mode 100755 patches/qtbase/fix-freetype-link.patch
 delete mode 100755 patches/qtbase/fix-oci-detect.patch
 delete mode 100755 patches/qtbase/fix-syssemaphore.patch
 delete mode 100755 patches/qtbase/fix-zlib-link.patch
 create mode 100755 patches/qtbase/qtbase-mingw-fixes.patch
 delete mode 100755 patches/qtsvg/qtsvg-link-zlib.patch
 create mode 100755 patches/qtwinextras/support-xp.patch


hooks/post-receive
-- 
GnuPG for Windows
http://git.gnupg.org



More information about the Gpg4win-commits mailing list